> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar infraestrutura BYOC

> Cria uma nova infraestrutura BYOC na organização. Retorna a configuração da infraestrutura recém-criada



## OpenAPI

````yaml /pt-BR/products/cloud/api-reference/cloud-openapi.json post /v1/organizations/{organizationId}/byocInfrastructure
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/byocInfrastructure:
    post:
      tags:
        - Organization
      summary: Criar infraestrutura BYOC
      description: >-
        Cria uma nova infraestrutura BYOC na organização. Retorna a configuração
        da infraestrutura recém-criada
      parameters:
        - description: ID da organização solicitada.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ByocInfrastructurePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: ID exclusivo atribuído a cada solicitação. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ByocConfig'
                  status:
                    description: Código de status HTTP.
                    example: 200
                    type: number
                type: object
          description: Resposta bem-sucedida
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Descrição detalhada do erro.
                    type: string
                  status:
                    description: Código de status HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            O servidor não pode ou não quer processar a solicitação devido a
            algo interpretado como um erro do cliente.
components:
  schemas:
    ByocInfrastructurePostRequest:
      properties:
        accountId:
          description: ID da conta Cloud para a qual a infraestrutura BYOC está configurada
          type: string
        availabilityZoneSuffixes:
          description: Lista de sufixos de zonas de disponibilidade
          items:
            enum:
              - a
              - b
              - c
              - d
              - e
              - f
            type: string
          type: array
        regionId:
          description: Região em que a infraestrutura BYOC ficará localizada
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        vpcCidrRange:
          description: Intervalo CIDR da VPC
          type: string
    ByocConfig:
      properties:
        accountName:
          description: Nome da conta
          type: string
        cloudProvider:
          description: provedor de Cloud da região
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: Identificador único da configuração BYOC
          type: string
        regionId:
          description: >-
            Região para a qual o BYOC foi configurado e onde é possível criar
            serviços
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: Estado da infraestrutura
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        Use o ID da chave e o segredo da chave obtidos no ClickHouse Cloud
        console: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````